local create = function(player_index)
    local player = game.get_player(player_index)
    local frame = player.gui.left.add{
        type = "frame",
        name = "frame1",
        caption = "Blargh",
        direction = "vertical",
    }
    frame.style.height = 750

    for i=1,22 do
        frame.add{
            type = "button",
            name = "button" .. i,
            caption = "Button " .. i
        }
    end
end

script.on_event(defines.events.on_player_created, function(event)
    create(event.player_index)
end)

script.on_event(defines.events.on_player_display_scale_changed, function(event)
    game.get_player(event.player_index).gui.left.frame1.destroy()
    create(event.player_index)
end)

script.on_event(defines.events.on_player_display_resolution_changed, function(event)
    game.get_player(event.player_index).gui.left.frame1.destroy()
    create(event.player_index)
end)